#!/bin/bash

	yad --title "Firefox Theme Lock" --question --text "
<b>(Requires Firefox)</b>

Firefox has a problem with dark Gtk themes, where sometimes
you end up with white text on a white background in search
boxes (such as YouTube). This utility allows you to force
Firefox to use a 'light' Gtk theme even when the rest of the
system is using a 'dark' Gtk theme.

<b>Locked</b> = Lock Firefox to a light Gtk theme.

<b>Unlocked</b> = Firefox uses the system Gtk theme.

<b><u>Remember</u></b>:- Restart Firefox to apply the changes" --width=450 --text-align=center \
	--button="Unlocked:1" --button="Locked:0" 2> /dev/null

foo=$?

if [[ $foo -eq 0 ]]; then
	cp -f /usr/lib/peppermint/adjustments/firefox /usr/sbin/firefox

elif [[ $foo -eq 1 ]]; then
	rm -f /usr/sbin/firefox

else
	exit 0

fi
